#!/usr/bin/perl -w

## make R plots and summary stats for all simulation output in directory
##----------------------------------------------------------------------
## USAGE:
## ./scripts/statsplots.pl &
## change settings for '## <<<' lines
## ---------------------------------------------------------------------


foreach $mydir ('deme500','deme500_1'){ ## <<< simulation output folder(s)

    chdir $mydir or die "cannot chdir to $mydir: $!";

    @mainfiles = glob "*.main";

    $sumname = $mydir."_runs";

    ## make file with runnames to plot
    if (! open FILE, ">", $sumname){
	die "cannot create $sumname: $!";
    }
    foreach $run (@mainfiles) {
	$run =~ s/.main//;
	print FILE "$run ";
    }
    print FILE "\n";
    close FILE;

    system "R --slave --args $sumname < ../scripts/statsplots.R";

    chdir "../" or die "cannot chdir back: $!";
}

exit;

